import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import javax.swing.event.*;

/**
  *
  * Beschreibung
  *
  * @version 1.0 vom 14.08.2008
  * @author Daniel Garmann
  */

public class Gui extends JFrame {
  // Anfang Attribute
  private JTextField jTextField1 = new JTextField();
  private JTextField jTextField2 = new JTextField();
  private JButton jButton1 = new JButton();
  private JLabel jLabel1 = new JLabel();
  // Ende Attribute

  public Gui(String title) {
    // Frame-Initialisierung
    super (title);
    setDefaultCloseOperation(WindowConstants.EXIT_ON_CLOSE);
    int frameWidth = 425;
    int frameHeight = 145;
    setSize(frameWidth, frameHeight);
    Dimension d = Toolkit.getDefaultToolkit().getScreenSize();
    int x = (d.width - getSize().width) / 2;
    int y = (d.height - getSize().height) / 2;
    setLocation(x, y);
    Container cp = getContentPane();
    cp.setLayout(null);
    // Anfang Komponenten

    jTextField1.setBounds(120, 8, 81, 24);
    jTextField1.setText("5");
    cp.add(jTextField1);
    jTextField2.setBounds(32, 72, 337, 24);
    jTextField2.setText("");
    cp.add(jTextField2);
    jButton1.setBounds(48, 40, 139, 25);
    jButton1.setText("Ziffernfolge");
    jButton1.addActionListener(new ActionListener() {
      public void actionPerformed(ActionEvent evt) {
        jButton1_ActionPerformed(evt);
      }
    });
    cp.add(jButton1);
    jLabel1.setBounds(40, 16, 70, 16);
    jLabel1.setText("bis n =");
    jLabel1.setFont(new Font("MS Sans Serif", Font.PLAIN, 13));
    cp.add(jLabel1);
    // Ende Komponenten

    setResizable(false);
    setVisible(true);
  }

  // Anfang Methoden
  
  public static String ziffernfolge(int n)
  {
    if (n == 0)
      return "";
    else
      return ziffernfolge(n-1) + n + ziffernfolge(n-1);
  }

  public void jButton1_ActionPerformed(ActionEvent evt) {
    jTextField2.setText(ziffernfolge(Integer.parseInt(jTextField1.getText())));
  }

  // Ende Methoden

  public static void main(String[] args) {
    new Gui("Gui");
  }
}
